@echo off
setlocal

set pddldir=%~dp0

set antlr3="%pddldir%lib\antlr-3.0b6.jar"
set antlr2_7="%pddldir%lib\antlr-2.7.7.jar"
set strtemp="%pddldir%lib\stringtemplate-3.0.jar"

set classp=%antlr3%;%antlr2_7%;%strtemp%;"%pddldir%graphplanner.jar"

set logdef=java.util.logging.config.file="%pddldir%logging.properties"

java -classpath %classp% -D%logdef% -Xmx1000m uk.ac.bham.cs.zas.plangraph.GraphSolver %*
